summaryrefslogtreecommitdiff
path: root/unclean.d/50test.orig
diff options
context:
space:
mode:
Diffstat (limited to 'unclean.d/50test.orig')
-rwxr-xr-xunclean.d/50test.orig8
1 files changed, 8 insertions, 0 deletions
diff --git a/unclean.d/50test.orig b/unclean.d/50test.orig
new file mode 100755
index 0000000..ef8ea93
--- /dev/null
+++ b/unclean.d/50test.orig
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ]; then
+ [ -d .git ] && [ -n "`git-ls-files --modified --deleted --others --exclude-standard`" ]
+elif [ "$VCS" = hg ]; then
+ [ -d .hg ] && ! hg status 2>&1 | wc -l | grep -q "^0$"
+fi